GDAL

Public Member Functions | Static Public Member Functions | List of all members
OGRRangeFieldDomain Class Reference

Definition of a numeric field domain with a range of validity for values. More...

`#include <ogr_feature.h>`

Inheritance diagram for OGRRangeFieldDomain:

## Public Member Functions
| OGRRangeFieldDomain (const std::string &osName, const std::string &osDescription, OGRFieldType eFieldType, OGRFieldSubType eFieldSubType, const OGRField &sMin, bool bMinIsInclusive, const OGRField &sMax, bool bMaxIsInclusive)
| Constructor. More...
OGRRangeFieldDomain * | Clone () const override
| Clone. More...
const OGRField & | GetMin (bool &bIsInclusiveOut) const
| Get the minimum value. More...
const OGRField & | GetMax (bool &bIsInclusiveOut) const
| Get the maximum value. More...
const std::string & | GetName () const
| Get the name of the field domain. More...
const std::string & | GetDescription () const
| Get the description of the field domain. More...
OGRFieldDomainType | GetDomainType () const
| Get the type of the field domain. More...
OGRFieldType | GetFieldType () const
| Get the field type. More...
OGRFieldSubType | GetFieldSubType () const
| Get the field subtype. More...
OGRFieldDomainSplitPolicy | GetSplitPolicy () const
| Get the split policy. More...
void | SetSplitPolicy (OGRFieldDomainSplitPolicy policy)
| Set the split policy. More...
OGRFieldDomainMergePolicy | GetMergePolicy () const
| Get the merge policy. More...
void | SetMergePolicy (OGRFieldDomainMergePolicy policy)
| Set the merge policy. More...

## Static Public Member Functions
static OGRFieldDomainH | ToHandle (OGRFieldDomain *poFieldDomain)
| Convert a OGRFieldDomain* to a OGRFieldDomainH.
static OGRFieldDomain * | FromHandle (OGRFieldDomainH hFieldDomain)
| Convert a OGRFieldDomainH to a OGRFieldDomain*.

## Detailed Description

Definition of a numeric field domain with a range of validity for values.

## Constructor & Destructor Documentation

## ◆ OGRRangeFieldDomain()

OGRRangeFieldDomain::OGRRangeFieldDomain | ( | const std::string & | osName,
|  | const std::string & | osDescription,
|  | OGRFieldType | eFieldType,
|  | OGRFieldSubType | eFieldSubType,
|  | const OGRField & | sMin,
|  | bool | bMinIsInclusive,
|  | const OGRField & | sMax,
|  | bool | bMaxIsInclusive
| ) |  |

Constructor.

This is the same as the C function OGR_RangeFldDomain_Create().

Parameters

  osName | Domain name.
  osDescription | Domain description.
  eFieldType | Field type. One among OFTInteger, OFTInteger64, OFTReal or OFTDateTime
  eFieldSubType | Field subtype.
  sMin | Minimum value. Which member in the OGRField enum must be read depends on the field type. If no minimum is set (might not be supported by all backends), then initialize the value with OGR_RawField_SetUnset().
  bMinIsInclusive | Whether the minimum value is included in the range.
  sMax | Minimum value. Which member in the OGRField enum must be read depends on the field type. If no maximum is set (might not be supported by all backends), then initialize the value with OGR_RawField_SetUnset().
  bMaxIsInclusive | Whether the minimum value is included in the range.

## Member Function Documentation

## ◆ Clone()

OGRRangeFieldDomain * OGRRangeFieldDomain::Clone | ( |  | ) | const
| inlineoverridevirtual

Clone.

Return a cloned object, or nullptr in case of error.

Implements OGRFieldDomain.

## ◆ GetDescription()

const std::string & OGRFieldDomain::GetDescription | ( |  | ) | const
| inlineinherited

Get the description of the field domain.

Empty string if there is none.

This is the same as the C function OGR_FldDomain_GetDescription().

## ◆ GetDomainType()

OGRFieldDomainType OGRFieldDomain::GetDomainType | ( |  | ) | const
| inlineinherited

Get the type of the field domain.

This is the same as the C function OGR_FldDomain_GetDomainType().

## ◆ GetFieldSubType()

OGRFieldSubType OGRFieldDomain::GetFieldSubType | ( |  | ) | const
| inlineinherited

Get the field subtype.

This is the same as the C function OGR_FldDomain_GetFieldSubType().

## ◆ GetFieldType()

OGRFieldType OGRFieldDomain::GetFieldType | ( |  | ) | const
| inlineinherited

Get the field type.

This is the same as the C function OGR_FldDomain_GetFieldType().

## ◆ GetMax()

const OGRField & OGRRangeFieldDomain::GetMax | ( | bool & | bIsInclusiveOut | ) | const
| inline

Get the maximum value.

Which member in the returned OGRField enum must be read depends on the field type.

If no maximum value is set, the OGR_RawField_IsUnset() will return true when called on the result.

This is the same as the C function OGR_RangeFldDomain_GetMax().

Parameters

  bIsInclusiveOut | set to true if the maximum is included in the range.

## ◆ GetMergePolicy()

OGRFieldDomainMergePolicy OGRFieldDomain::GetMergePolicy | ( |  | ) | const
| inlineinherited

Get the merge policy.

This is the same as the C function OGR_FldDomain_GetMergePolicy().

## ◆ GetMin()

const OGRField & OGRRangeFieldDomain::GetMin | ( | bool & | bIsInclusiveOut | ) | const
| inline

Get the minimum value.

Which member in the returned OGRField enum must be read depends on the field type.

If no minimum value is set, the OGR_RawField_IsUnset() will return true when called on the result.

This is the same as the C function OGR_RangeFldDomain_GetMin().

Parameters

  bIsInclusiveOut | set to true if the minimum is included in the range.

## ◆ GetName()

const std::string & OGRFieldDomain::GetName | ( |  | ) | const
| inlineinherited

Get the name of the field domain.

This is the same as the C function OGR_FldDomain_GetName().

## ◆ GetSplitPolicy()

OGRFieldDomainSplitPolicy OGRFieldDomain::GetSplitPolicy | ( |  | ) | const
| inlineinherited

Get the split policy.

This is the same as the C function OGR_FldDomain_GetSplitPolicy().

## ◆ SetMergePolicy()

void OGRFieldDomain::SetMergePolicy | ( | OGRFieldDomainMergePolicy | policy | ) |
| inlineinherited

Set the merge policy.

This is the same as the C function OGR_FldDomain_SetMergePolicy().

## ◆ SetSplitPolicy()

void OGRFieldDomain::SetSplitPolicy | ( | OGRFieldDomainSplitPolicy | policy | ) |
| inlineinherited

Set the split policy.

This is the same as the C function OGR_FldDomain_SetSplitPolicy().

The documentation for this class was generated from the following files:

- ogr_feature.h
- ogrfielddefn.cpp